<template>
    <div id="nav">
        <router-link to="/">Home</router-link> |
        <router-link to="/create">Add New Product</router-link> |
        <router-link to="/cart">Cart ({{totalQuantity}})</router-link>
    </div>
</template>

<script>
import { mapGetters } from "vuex";

export default {
  name: "Nav",

  computed: {
    ...mapGetters("cart", ["totalQuantity"])
  }
};
</script>


<style>
#nav {
  padding: 2rem 1rem;
  border-bottom: 1px solid #ececec;
  text-align: center;
}

#nav a {
  font-weight: bold;
  color: #2c3e50;
}

#nav a.router-link-exact-active {
  color: #42b983;
}
</style>
